dots.v2.vectorDatabases.byId().resize.post()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.vectorDatabases.byId(id).resize.post(body: VectordbResizeVectorDBRequest, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | VectordbResizeVectorDBResponse>

Description

To resize a vector database, send a POST request to /v2/vector-databases/{id}/resize. This changes the database’s resource tier. The response body contains a JSON object with the updated vector database.

Parameters

Path Parameters

id string required

Example: "example string"

Required. ID of the vector database to resize.

Request Body

id string optional

Example: example string

Required. ID of the vector database to resize.

size string optional

Example: example string

Required. Target resource tier: small, medium, or large.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.vectorDatabases
    .byId("\"example string\"").resize.post({
    id: "example string",
    size: "example string",
});

Response Example

Show Response Example
{
  "vector_db": {
    "config": {
      "default_quantization": "example string",
      "enable_auto_schema": true,
      "weaviate_version": "example string"
    },
    "created_at": "2023-01-01T00:00:00Z",
    "endpoints": {
      "grpc": "my-db-tor1-a1b2c3d4-grpc.weaviate.ondigitalocean.com:443",
      "http": "https://my-db-tor1-a1b2c3d4.weaviate.ondigitalocean.com"
    },
    "forked_from_id": "123e4567-e89b-12d3-a456-426614174000",
    "id": "example string",
    "last_restore_id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "example name",
    "owner_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "project_id": "123e4567-e89b-12d3-a456-426614174000",
    "region": "tor1",
    "size": "example string",
    "status": "example string",
    "tags": [
      "example string"
    ],
    "updated_at": "2023-01-01T00:00:00Z"
  }
}

More Information

See /v2/vector-databases/{id}/resize in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.